goalInvestigateTornCard.mSteps = 
{
	{ action = "click", object = objectPoiCardJigsaw, state = kActive },
}
-- ----------------------------------------------------------------------------
goalInvestigateTornCard.readyToStart = false
-- ----------------------------------------------------------------------------
function goalInvestigateTornCard:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalInvestigateTornCard:onStarted()

	objectPoiCardJigsaw:ss(kActive)
	
end
-- ----------------------------------------------------------------------------
function goalInvestigateTornCard:onLayoutShow(layout)

	if (layout == layoutBoathouseCardJigsaw) then
		self:achieved()	
	end

end
-- ----------------------------------------------------------------------------
function goalInvestigateTornCard:onClickButton(layout, object, props, x, y)

	self:checkReadyToStart()

end
-- ----------------------------------------------------------------------------
function goalInvestigateTornCard:onUsedAll(object, props)

	self:checkReadyToStart()

end
-- ----------------------------------------------------------------------------
function goalInvestigateTornCard:checkReadyToStart()

	if (objectPoiCardJigsaw:isLocked()) then
		local allUsed = true
		
		allUsed = allUsed and objectHoEnigmaHandle:isUsed()
		allUsed = allUsed and objectHoPaperroll:isUsed()
		allUsed = allUsed and objectHoButton2:isUsed()
		allUsed = allUsed and objectEnigmaButton1:isIdle()
		allUsed = allUsed and objectEnigmaButton2:isIdle()		
		
		if (allUsed) then
			self.readyToStart = true
		end	
	end

end